#
# kihon1.rb
#   $Id: kihon1.rb,v 1.2 2000/11/18 19:03:32 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath

NMAX = 50

x  = NArray.sfloat(NMAX+1)
y1 = NArray.sfloat(NMAX+1)
y2 = NArray.sfloat(NMAX+1)
y3 = NArray.sfloat(NMAX+1)

#-- data ----
x = x.indgen * 1.0/NMAX
y1 = x**3
y2 = x**2
y3 = sqrt(x)

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

slpvpr(1)

sgplv(x, y1)
sgpmv(x, y2)
sgtxv(0.5, 0.5, 'SGTXV')
sglset('LSOFTF', true)
sgtnv(x, y3)

sgcls

