#
# color3.rb
#   $Id: color3.rb,v 1.1 2000/11/18 19:03:31 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu::DCL
include Math


NX = 21
NY = 21
XMIN = -10
XMAX = 10
YMIN = -10
YMAX = 10
DX1 = 1
DX2 = 5
DY1 = 1
DY2 = 5
KMAX = 56
PMIN = 0
PMAX = 1
p = NArray.sfloat(NX, NY)
pi = NArray.sfloat(2, KMAX+1)

#-- data ---
for j in 0..NY-1
  for i in 0..NX-1
    x = XMIN + (XMAX-XMIN)*i/(NX-1).to_f
    y = YMIN + (YMAX-YMIN)*j/(NY-1).to_f
    p[i,j] = exp(-x**2/64 -y**2/25)
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(XMIN, XMAX, YMIN, YMAX)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

dp = (PMAX-PMIN)/KMAX.to_f
for k in 1..KMAX
  tlev1 = (k-1)*dp
  tlev2 = tlev1 + dp
  ipat  = (29+k)*1000 + 999
  uestlv(tlev1, tlev2, ipat)
end

uetone(p)
usdaxs

#-- ȡС ----
grswnd(0.0, 1.0, PMIN, PMAX)
grsvpt(0.85, 0.9, 0.2, 0.8)
grstrn(1)
grstrf

for k in 0..KMAX
  pi[0,k] = PMIN + k*dp
  pi[1,k] = PMIN + k*dp
end

uetone(pi)

slpvpr(3)
uzlset('LABELYR', true)

uzfact(0.8)
uysfmt('(F4.1)')
uyaxdv('R', 0.1, 0.2)

grcls

